Package org.codehaus.groovy.transform

# Class NullCheckASTTransformation

java.lang.Object
org.codehaus.groovy.transform.AbstractASTTransformation
org.codehaus.groovy.transform.NullCheckASTTransformation

All Implemented Interfaces:
  `ASTTransformation`, `ErrorCollecting`

public class NullCheckASTTransformation extends AbstractASTTransformation
Handles generation of code for the @NullCheck annotation.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ClassNode`
  `NULL_CHECK_TYPE`

  ### Fields inherited from class org.codehaus.groovy.transform.AbstractASTTransformation

  `RETENTION_CLASSNODE, sourceUnit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullCheckASTTransformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `hasIncludeGenerated(ClassNode cNode)`
  `static ThrowStatement`
  `makeThrowStmt(String variableName)`
  `static void`
  `markAsProcessed(MethodNode mn)`
  Mark a method as already processed.
  `void`
  `visit(ASTNode[] nodes, SourceUnit source)`
  The method is invoked when an AST Transformation is active.

  ### Methods inherited from class org.codehaus.groovy.transform.AbstractASTTransformation

  `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternal, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, markAsInternal, memberHasValue, shouldSkip, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NULL_CHECK_TYPE

    public static final ClassNode NULL_CHECK_TYPE

- ## Constructor Details

  - ### NullCheckASTTransformation

    public NullCheckASTTransformation()

- ## Method Details

  - ### visit

    public void visit(ASTNode[] nodes, SourceUnit source)
    Description copied from interface: `ASTTransformation`
    The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.
    Parameters:
      `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
      `source` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

  - ### hasIncludeGenerated

    public static boolean hasIncludeGenerated(ClassNode cNode)

  - ### makeThrowStmt

    public static ThrowStatement makeThrowStmt(String variableName)

  - ### markAsProcessed

    public static void markAsProcessed(MethodNode mn)
    Mark a method as already processed.
    Parameters:
      `mn` - the method node to be considered already processed